Поддержка Проблемы и решения Не можем после восстановления сайта и базы данных попасть в админ панель wp

  • Добрый день!

    После восстановления сайта на хостинге и базы данных MySQL не можем попасть в админ панель, обратились в службу поддержки они прислали ошибку:

    May 17 10:10:24 moesha apache_error: envylight.ru [Fri May 17 10:10:24 2019] [warn] [pid 26958] sapi_apache2.c(362): [client 92.53.115.234:48866] PHP Warning:  Parameter 1 to wp_default_styles() expected to be a reference, value given in /home/k/korolevsp/test1/public_html/wp-includes/plugin.php on line 601
    May 17 10:10:24 moesha apache_error: envylight.ru [Fri May 17 10:10:24 2019] [warn] [pid 26958] sapi_apache2.c(362): [client 92.53.115.234:48866] PHP Warning:  Illegal string offset 'remember' in /home/k/korolevsp/test1/public_html/wp-includes/user.php on line 41
    May 17 10:10:24 moesha apache_error: envylight.ru [Fri May 17 10:10:24 2019] [warn] [pid 26958] sapi_apache2.c(362): [client 92.53.115.234:48866] PHP Warning:  Cannot assign an empty string to a string offset in /home/k/korolevsp/test1/public_html/wp-includes/user.php on line 41
    May 17 10:10:24 moesha apache_error: envylight.ru [Fri May 17 10:10:24 2019] [warn] [pid 26958] sapi_apache2.c(362): [client 92.53.115.234:48866] PHP Warning:  Illegal string offset 'user_login' in /home/k/korolevsp/test1/public_html/wp-includes/user.php on line 56
    May 17 10:10:24 moesha apache_error: envylight.ru [Fri May 17 10:10:24 2019] [error] [pid 26958] sapi_apache2.c(362): [client 92.53.115.234:48866] PHP Fatal error:  Uncaught Error: Cannot create references to/from string offsets in /home/k/korolevsp/test1/public_html/wp-includes/user.php:56\nStack trace:\n#0 /home/k/korolevsp/test1/public_html/wp-login.php(784): wp_signon('', '')\n#1 {main}\n  thrown in /home/k/korolevsp/test1/public_html/wp-includes/user.php on line 56

    Сказали что могут доступными способами ее устранить и посоветовали обратиться в службу поддержки CMS WordPress, и могут они предоставить логи. Можете помочь в решение этого вопроса или дать контакты к кому обратиться.

    Страница, с которой нужна помощь: [войдите, чтобы увидеть ссылку]

Просмотр 10 ответов — с 1 по 10 (всего 10)
  • Модератор Yui

    (@fierevere)

    ゆい にゃん子

    какая у вас версия PHP? версия WordPress?

    Попробуйте скачать архив вашей версии WP https://ru.wordpress.org/download/releases/
    и заменить папки /wp-includes/ и /wp-admin/ из архива

    Спасибо, попробую это сделать, насчет версии увы я не знаю.

    Добрый день! Попробовал что мне посоветовали,попасть в админ доступ у меня не получилось

    какая у вас версия PHP? версия WordPress?

    в корневом каталоге написано в public_html $wp_version = ‘4.5.3’;

    посоветуйте пожалуйста, какие пытки нужно к вам применить, что бы вы ответили на вопрос полностью?

    Модератор Sergey Biryukov

    (@sergeybiryukov)

    Live and Learn

    Parameter 1 to wp_default_styles() expected to be a reference, value given

    Ошибка говорит о том, что используется PHP версии 7.1 или выше.

    $wp_version = ‘4.5.3’;

    С PHP 7.1+ корректно работает WordPress 4.7 или выше. У вас версия 4.5.3. Стоит обновить до текущей стабильной версии.

    Добрый день! Спасибо Вам за помощь, поменял версию PHP на хостинге до PHP 5.6 и все заработало

    поменял версию PHP на хостинге до PHP 5.6 и все заработало

    не на долго.
    Рекомендуемая версия 7.3
    и все меньше и меньше плагинов и тем поддерживают версию ниже, чем 7.0
    а скоро и сам ВП сделает так же.

    Спасибо что сказали, займемся тогда обновление wp и php

Просмотр 10 ответов — с 1 по 10 (всего 10)